<?php
$output = $title = $link = $size = $el_class = '';
extract(shortcode_atts(array(
	'title' => '',
	'link' => 'http://vimeo.com/23237102',
	'size' => ( isset($content_width) ) ? $content_width : 500,
	'el_class' => '',
  'css' => ''

), $atts));

if ( $link == '' ) { return null; }
$el_class = $this->getExtraClass($el_class);

global $wp_embed;
$embed = $wp_embed->run_shortcode('[embed]'.$link.'[/embed]');

$output .= '<div class="yt-vc-element yt-vc-video' . $el_class . '">';
$output .= wpb_widget_title( array('title' => $title, 'extraclass' => 'yt-vc-element-heading') );
$output .= $embed;
$output .= '</div>';

echo $output;